nxt.voting

## Class PhasingVoteHome

- java.lang.Object
- - nxt.voting.PhasingVoteHome

-     public final class PhasingVoteHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `PhasingVoteHome.PhasingVote`
    `class` | `PhasingVoteHome.PhasingVoteSubPoll`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PhasingVoteHome` | `forChain(ChildChain childChain)`
    `long` | `getSubPollVoteCount(byte[] phasedTransactionHash, java.lang.String subPollName)`
    `DbIterator<PhasingVoteHome.PhasingVoteSubPoll>` | `getSubPollVotes(byte[] phasedTransactionHash, java.lang.String subPollName)`
    `PhasingVoteHome.PhasingVote` | `getVote(byte[] phasedTransactionHash, long voterId)`
    `long` | `getVoteCount(byte[] phasedTransactionHash)`
    `DbIterator<PhasingVoteHome.PhasingVote>` | `getVotes(byte[] phasedTransactionHash, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static PhasingVoteHome forChain(ChildChain childChain)

    - #### getVotes

          public DbIterator<PhasingVoteHome.PhasingVote> getVotes(byte[] phasedTransactionHash,
                                                                  int from,
                                                                  int to)

    - #### getSubPollVotes

          public DbIterator<PhasingVoteHome.PhasingVoteSubPoll> getSubPollVotes(byte[] phasedTransactionHash,
                                                                                java.lang.String subPollName)

    - #### getVote

          public PhasingVoteHome.PhasingVote getVote(byte[] phasedTransactionHash,
                                                     long voterId)

    - #### getVoteCount

          public long getVoteCount(byte[] phasedTransactionHash)

    - #### getSubPollVoteCount

          public long getSubPollVoteCount(byte[] phasedTransactionHash,
                                          java.lang.String subPollName)